extent: Query data availability extent

API: earthscope.org:earthscopeiris-seismic-web-services
Endpoint: /availability/1/extent
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 854ms

Description

Returns the overall time coverage extent for available data, including the earliest and latest times data is available. Useful for understanding the temporal coverage of the archive.

From spec: Returns the overall time coverage extent for available data, including earliest and latest times.

Usage Tips

- Returns summary statistics on data holdings - Can filter by network and station - Shows global earliest and latest timestamps - Useful for data discovery and catalog planning

Parameters (13)

cha (string, query, optional)

Channel code(s). Accepts wildcards and comma-separated lists.

endtime (string, query, optional)

Limit to events/stations/data on or before the specified end time (ISO 8601 format)

format (string, query, optional, default: text)

Output format for availability data

Constraints: {'enum': ['text', 'geocsv', 'json', 'request']}

includerestricted (boolean, query, optional, default: True)

Include restricted stations in results

limit (integer, query, optional)

Limit the results to the specified number of events/stations (0 or negative for unlimited)

loc (string, query, optional)

Location code(s). Accepts wildcards and comma-separated lists. Use -- for blank locations.

merge (string, query, optional)

Merge data by samplerate, quality, or overlap

Constraints: {'enum': ['samplerate', 'quality', 'overlap']}

net (string, query, optional)

Network code(s). Accepts wildcards (? and *) and comma-separated lists.

nodata (integer, query, optional, default: 204)

Specify which HTTP status code is returned when no data is found

Constraints: {'enum': [204, 404]}

orderby (string, query, optional, default: nslc_time_quality_samplerate)

Sort order for extent results

Constraints: {'enum': ['nslc_time_quality_samplerate', 'timespancount', 'timespancount_desc']}

quality (string, query, optional)

Data quality indicator (D=default, M=manual, Q=questionable, R=raw)

Constraints: {'enum': ['D', 'M', 'Q', 'R']}

sta (string, query, optional)

Station code(s). Accepts wildcards and comma-separated lists.

starttime (string, query, optional)

Limit to events/stations/data on or after the specified start time (ISO 8601 format)

Examples (1)

Query overall data availability extent doc_extracted

Retrieves the overall temporal extent of available data for the IU network showing earliest and latest times

curl 'https://service.earthscope.org/fdsnws/availability/1/extent?net=IU&format=text'
import requests

resp = requests.get(
    "https://service.earthscope.org/fdsnws/availability/1/extent",
    params={
        'net': 'IU',
        'format': 'text',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("earthscope")
result = api.fetch("availability/1/extent", net="IU", format="text")

for item in result:
    print(item)
const resp = await fetch("https://service.earthscope.org/fdsnws/availability/1/extent?net=IU&format=text");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:12:42.924617 200 854ms
2026-04-16 02:29:23.275721 200 860ms
2026-04-15 02:50:30.700559 200 1196ms
2026-04-14 00:27:01.672374 200 1096ms
2026-04-12 14:03:31.897146 200 1043ms